## NAME

v.univar - Calculates univariate statistics for attribute. Variance and standard deviation is calculated only for points if specified.

## KEYWORDS

vector, statistics

## SYNOPSIS

v.univar
v.univar help
v.univar [-ged] map=name [layer=integer] [type=string[,string,...]] [column=string] [where=sql_query] [layer=integer] [percentile=integer] [--verbose] [--quiet]

### Flags:

-g
  Print the stats in shell script style
-e
  Calculate extended statistics
-d
  Calculate geometry distances instead of table data.
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
type=string[,string,...]
  Feature type
  Options: point,line,boundary,centroid,area
  Default: point,line,area
column=string
  Column name
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
percentile=integer
  Percentile to calculate (requires extended statistics flag)
  Options: 0-100
  Default: 90

## DESCRIPTION

v.univar calculates univariate statistics of vector map features. This includes the number of features counted, minimum and maximum values, and range. Variance and standard deviation is calculated only for points if `type=point` is defined.

Extended statistics adds median, 1st and 3rd quartiles, and 90th percentile.

## EXAMPLE

    g.region rast=elevation.10m -p
    v.random out=samples n=100
    v.db.addtable samples col="heights double precision"
    v.what.rast samples rast=elevation.10m col=heights
    v.db.select samples

    v.univar samples col=heights type=point

## SEE ALSO

v.neighbors

## AUTHOR

Radim Blazek, ITC-irst

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team